<?php

namespace Ulmus\Attribute\Obj;

#[\Attribute(\Attribute::TARGET_CLASS)]
class Table implements AdapterAttributeInterface {
    public function __construct(
        public ? string $name = null,
        public ? string $database = null,
        public ? string $schema = null,
        public ? string $adapter = null,
        public ? string $engine = null,
        public string $description = "",
    ) {}

    public function adapter() : false|string
    {
        return $this->adapter ?: false;
    }
}
