<?php

namespace Ulmus\Entity\Mysql;

use Ulmus\EntityCollection,
    Ulmus\Entity\Field\Datetime;

use Ulmus\{Attribute\Obj\Table as TableObj};
use Ulmus\Attribute\Property\{Field, Filter, FilterJoin, Relation, Join, Virtual, Where};

#[TableObj(name: "tables", database: "information_schema")]
class Table extends \Ulmus\Entity\InformationSchema\Table
{
    #[Relation(type: "oneToMany", key: "name", foreignKey: [ Column::class, 'tableName' ], entity: Column::class)]
    #[Where('TABLE_SCHEMA', generateValue: [ Table::class, 'getSchema' ])]
    public EntityCollection $columns;
}