<?php

namespace Ulmus\Repository;

use Ulmus\Query;

trait JsonConditionTrait
{
    public function whereJsonArray(string|\Stringable $field, mixed $value, string $operator = Query\Where::OPERATOR_EQUAL, $condition = Query\Where::CONDITION_AND) : self
    {
        if ( null === $this->queryBuilder->getFragment(Query\From::class) ) {
            $this->from($this->entityResolver->tableName(), $this->alias, $this->entityResolver->schemaName());
        }

        $this->queryBuilder->whereJsonArray($field, $value, $operator, $condition);

        return $this;
    }
}